Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.remote
Class HTTPTransport

    java.lang.Object
      |
      +--com.solarmetric.remote.HTTPTransport

All Implemented Interfaces:
  com.solarmetric.util.Closeable, Transport

public class HTTPTransport
extends Object
implements Transport

HTTP transport layer. The server is a servlet that can be installed into any compliant servlet container.

Inner classes inherited from class com.solarmetric.remote.Transport
`Transport.Channel, Transport.Server`

Constructor Summary
`HTTPTransport()`

Method Summary
`void` | `close()`
`com.solarmetric.remote.Channel` | `getClientChannel()` Return a transport client channel to communicate with a remote server.
`String` | `getDecorators()` Semicolon-separated list of `StreamDecorator`s.
`com.solarmetric.remote.Server` | `getServer()` Return a transport server to listen for client connections.
`com.solarmetric.remote.Channel` | `getServletChannel(HttpServletRequest req, HttpServletResponse resp)` Channel built around an `HttpServletRequest` and `HttpServletResponse`.
`String` | `getURL()` The URL used to contact the remote server.
`void` | `setDecorators(String decorators)` Semicolon-separated list of `StreamDecorator`s.
`void` | `setURL(String url)` The URL used to contact the remote server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPTransport

    public HTTPTransport()

Method Detail

### getURL

    public String getURL()

  The URL used to contact the remote server.

### setURL

    public void setURL(String url)

  The URL used to contact the remote server.

### getDecorators

    public String getDecorators()

  Semicolon-separated list of `StreamDecorator`s.

### setDecorators

    public void setDecorators(String decorators)

  Semicolon-separated list of `StreamDecorator`s.

### getServer

    public com.solarmetric.remote.Server getServer()
                                            throws Exception

  Description copied from interface: `Transport`
  Return a transport server to listen for client connections. Only one server will ever be requested per transport instance.
  Specified by:
    `getServer` in interface `Transport`

### getClientChannel

    public com.solarmetric.remote.Channel getClientChannel()
                                                    throws Exception

  Description copied from interface: `Transport`
  Return a transport client channel to communicate with a remote server.
  Specified by:
    `getClientChannel` in interface `Transport`

### getServletChannel

    public com.solarmetric.remote.Channel getServletChannel(HttpServletRequest req,
                                                            HttpServletResponse resp)

  Channel built around an `HttpServletRequest` and `HttpServletResponse`. In your servlet's `HttpServlet#doPost` method, use this method to retrieve a channel to pass to the `CommandIO.execute(com.solarmetric.remote.Transport.Channel)` method. Then close the channel.

### close

    public void close()

  Specified by:
    `close` in interface `com.solarmetric.util.Closeable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.